@charset "utf-8";
/* CSS Document */


/*------- メニューボタン -------*/

#spnavbtn{
	position:fixed;
	top:4%;
	right:3%;
	z-index:999;
	text-align:center;
	box-shadow:0 0 50px rgba(0,0,0,0.1)inset;
	padding:20px 20px 15px 20px;
	border-radius:10px;
}
#spnavbtn p{
	font-size:0.8em;
	opacity:1;
	transition:all ease 0.5s;
	-webkit-transition:all ease 0.5s;
	-moz-transition:all ease 0.5s;	
	color:#FFF;
}
#spnavbtn p:before{
	content:"MENU";	
}
.nav-trigger,
.nav-trigger span {
	display: inline-block;
	transition: all .4s;
	box-sizing: border-box;
}
.nav-trigger {
	position: relative;
	width: 30px;
	height: 20px;
}
.nav-trigger span {
	position: absolute;
	left: 0;
	width: 100%;
	height: 4px;
	background-color: #FFF;
	border-radius: 4px;
}
.nav-trigger span:nth-of-type(1) {
	top: 0;
}
.nav-trigger span:nth-of-type(2) {
	top: 8px;
}
.nav-trigger span:nth-of-type(3) {
	bottom: 0;
}


/*------- メニューボタン クリック時の処理 -------*/

#spnavbtn .activete{
	font-size:0.9em;
	opacity:0;	
}
#spnavbtn .activete:before{
	content:"";	
}
.nav-trigger::after {
	position: absolute;
	top: 50%;
	left: 50%;
	display: block;
	content: '';
	width: 45px;
	height: 45px;
	margin: -26.4px 0 0 -26.4px;
	border-radius: 50%;
	border: 4px solid transparent;
	transition: all .75s;
}
.nav-trigger.active span:nth-of-type(1) {
	-webkit-transform: translateY(8px) rotate(-45deg);
	transform: translateY(8px) rotate(-45deg);
}
.nav-trigger.active span:nth-of-type(2) {
	left: 60%;
	opacity: 0;
	-webkit-animation: active-menu-bar02 .8s forwards;
	animation: active-menu-bar02 .8s forwards;
}
@-webkit-keyframes active-menu-bar02 {
	100% {
		height: 0;
	}
}
@keyframes active-menu-bar02 {
	100% {
		height: 0;
	}
}
.nav-trigger.active span:nth-of-type(3) {
	-webkit-transform: translateY(-8px) rotate(45deg);
	transform: translateY(-8px) rotate(45deg);
}
.nav-trigger.active::after {
	-webkit-animation: circle .4s .25s forwards;
	animation: circle .4s .25s forwards;
}
@-webkit-keyframes circle {
	0% {
		border-color: transparent;
		-webkit-transform: rotate(0);
	}
	25% {
		border-color: transparent #FFF transparent transparent;
	}
	50% {
		border-color: transparent #FFF #FFF transparent;
	}
	75% {
		border-color: transparent #FFF #FFF #FFF;
	}
	100% {
		border-color: #FFF;
		-webkit-transform: rotate(-680deg);
	}
}
@keyframes circle {
	0% {
		border-color: transparent;
		transform: rotate(0);
	}
	25% {
		border-color: transparent #FFF transparent transparent;
	}
	50% {
		border-color: transparent #FFF #FFF transparent;
	}
	75% {
		border-color: transparent #FFF #FFF #FFF;
	}
	100% {
		border-color: #FFF;
		transform: rotate(-680deg);
	}
}


/*------- メニューボタンクリック時のフィルター -------*/

#container{
	position:relative;
}
.hyde{
	position:absolute;
	top:-2em;
	right:0;
	background:rgba(0,0,0,0);
	z-index:997;
	transition:all ease 0.8s;
	-webkit-transition:all ease 0.8s;
	-moz-transition:all ease 0.8s;
	opacity:0;
}
.hydebg{
	width:100%;
	height:100%;
	position:absolute;
	top:-2em;
	left:0;
	right:0;
	bottom:0;
	background:rgba(255,255,255,0.4);
	z-index:997;
	opacity:1;
	-webkit-filter: blur(10px) saturate(1);
    -moz-filter: blur(10px) saturate(1);
    filter: blur(10px) saturate(1);
}


/*------- メニュー部分 -------*/

#spnav{
	position:relative;
	z-index:998;
}
#spnav .trigger{
	width:300px;
	height:100%;
	transition:all linear 0.4s;
	-webkit-transition:all linear 0.4s;
	-moz-transition:all linear 0.4s;
	opacity:0;
	position:fixed;
	top:0;
	left:0;
	color:rgba(150,150,150,0);
	padding:1% 0;
	transform:translateX(-150px) rotateY(110deg);
}
#spnav .open{
	width:300px;
	max-width:80%;
	background:rgba(0,0,0,0.9);
	opacity:1;
	height:100%;
	position:fixed;
	top:0;
	left:0;
	color:rgba(150,150,150,1);
	transform:translateX(0) rotateY(0deg);
}

#spnav h1{
	width:100%;
	margin:0 0 1em;
	padding:0 10px;
}
#spnav ul{
	overflow:hidden;	
}
#spnav ul li div{
	display:block;
	overflow:hidden;
}
#spnav ul li{
	border-top:1px solid rgba(255,255,255,0.2);	
	line-height:3em;
}
#spnav ul li:last-child{
	border-bottom:1px solid rgba(255,255,255,0.2);	
}
#spnav ul li a{
	display:block;
	color:rgba(150,150,150,1);
	text-decoration:none;
	padding:0 10px;
	transition:all ease 0.5s;
	-webkit-transition:all ease 0.5s;
	-moz-transition:all ease 0.5s;
}
#spnav ul li a:hover,#spnav .navright:hover{
	background:rgba(255,255,255,1);
	color:rgba(150,150,150,1);
}
#spnav .navleft{
	width:88%;
	float:left;
	display:block;
}
#spnav .navright{
	width:12%;
	display:block;
	float:left;
	text-align:center;
	background:rgba(255,255,255,0.3);
	cursor:pointer;
	transition:all ease 0.5s;
	-webkit-transition:all ease 0.5s;
	-moz-transition:all ease 0.5s;
}
#spnav ul li .subnav{
	display:none;
}
#spnav ul li .drop{
	display:block!important;
	overflow:hidden;
	border-top:1px solid rgba(255,255,255,0.2);
	padding:0 30px;
}


@media screen and (max-width:640px){
	
#spnavbtn{
	position:fixed;
	top:2%;
	right:2%;
	z-index:999;
	text-align:center;
}

}



